Token payroll
Get Payroll Settings
Returns payroll settings for an entity, or the org-default row when no entity is given.
GEThttps://api.toku.com/stablecoin-payroll/get-payroll-settings
Required scope: payroll:read
curl --request GET \
--url 'https://api.toku.com/stablecoin-payroll/get-payroll-settings' \
--header 'Authorization: Bearer <token>'200 response
{
"payrollSettings": {
"orgID": "string",
"createdAt": "string",
"updatedAt": "string",
"payrollSettingsID": "string",
"payrollApprovalDaysBeforePayDate": 0,
"payrollCutOffDaysBeforeApprovalDate": 0,
"terminationPayrollCutoffDay": 0,
"payrollEntityID": "string",
"minimumFiatPayInUSD": "string",
"calendarDates": [
0
],
"payrollEntity": {
"payrollEntityID": "string",
"orgID": "string",
"country": "string",
"reportingCurrency": "string",
"name": "string",
"shortName": "string",
"payrollSettingID": "string",
"createdAt": "string",
"updatedAt": "string"
}
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Query parameters
payrollEntityIDstring<uuid>Response
200Successful response
payrollSettingsobject | nullShow child attributes
orgIDstring | nullcreatedAtstring | nullupdatedAtstring | nullpayrollSettingsIDstring | nullpayrollApprovalDaysBeforePayDatenumber | nullpayrollCutOffDaysBeforeApprovalDatenumber | nullterminationPayrollCutoffDaynumber | nullpayrollEntityIDstring | nullminimumFiatPayInUSDstring | nullcalendarDatesarray | nullpayrollEntityobject | nullShow child attributes
payrollEntityIDstring | nullorgIDstring | nullcountrystring | nullreportingCurrencystring | nullnamestring | nullshortNamestring | nullpayrollSettingIDstring | nullcreatedAtstring | nullupdatedAtstring | null400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits